<?php

include 'api.php';

// ARGUMENTOS: DID
if (isset($argv[1])) {

    $did_id = $magnusBilling->getId('did', 'did', $argv[1]);

    if (isset($sip_id)) {
        print("[200] OK id=" . $did_id);;
    } else {
        $result = $magnusBilling->create('did', [
            "did" => $argv[1],
            "activated" => "1"
        ]);
        if ($result['success'] == 1) {
            print("[201] OK id=" . $result['rows'][0]['id']);
        } else {
            print("[409] ERROR Ya existe una cuenta con mismo usuario.");
        }
    }
} else {
    print("[404] ERROR No se han introducido todos los parámetros necesarios.");
}
